<template>
    <div class="table-wrapper">
        <table style="width: 90%;margin-left:auto;margin-right:auto;">
          <thead>
            <tr>
              <th>Feature Name</th>
              <th>Tier0: Sun</th>
              <th>Tier1: Mercury</th>
              <th>Tier2: Venus</th>
              <th>Tier3: Earth</th>
              <th>Explaination</th>
            </tr>
          </thead>
          <tbody>
            <!-- rows -->
            <tr> 
              <td style="text-align: left;" align="left">
                <a href="/glossary#cdm">Conjunction Data Message</a> History
              </td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
            <tr>
              <td style="text-align: left;" align="left">Conjunction Notification</td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
            <tr>
              <td style="text-align: left;" align="left">Basic Dashboard Access</td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
            <tr>
              <td style="text-align: left;" align="left">Realtime CDM Access</td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
            <tr>
              <td style="text-align: left;" align="left">Space DAO API</td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
            <tr>
              <td style="text-align: left;" align="left">Avoidance Manouevre Guidance Kit</td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
            <tr>
              <td style="text-align: left;" align="left">Conjunction analysis</td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
            <tr>
              <td style="text-align: left;" align="left">Network Consensus Meter</td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td><ion-icon :icon="checkmarkSharp"></ion-icon></td>
              <td>Text</td>
            </tr>
          </tbody>
        </table>
      </div>
</template>
  
  <script lang="ts">
    // import { IonIcon } from '@ionic/vue';
    import { checkmarkSharp } from 'ionicons/icons';
    import { defineComponent } from 'vue';
  
    import { StmService } from '../../spacedao';
  
    export default defineComponent({
        components: {
        },
        setup() {
          return { checkmarkSharp };
        },
        props: {
            rso_id : undefined
        },
        data(){
          return {
            api: {
              "rso": StmService.statsRsoIdAppStmV1StatsRsoRsoIdGet,
              "cdm": StmService.statsCdmIdAppStmV1StatsCdmCdmIdGet,
              "supplier": StmService.statsSupplierIdAppStmV1StatsSupplierSupplierIdGet
            },
            response_id: {
              message: "",
            }
          }
        },
        mounted(){
          // console.log("RSO Profile: inspecting the api");    
          this.api["rso"](this.rso_id)
          .then((response) => {
            this.response_id=response;
            // console.log(response);    
            })

        },
    });
  
  </script>
  
  
<style scoped>
.table-wrapper {
  overflow-x: auto;
}

table {
  width: 100%;
  border-collapse: collapse;
}

th,
td {
  padding: 12px 8px;
  text-align: center;
  border: 1px solid #ddd;
}

th {
  background-color: #f2f2f2;
  font-weight: bold;
  color: #444;
}

tbody tr:nth-child(even) {
  background-color: #f2f2f2;
}

tbody tr:hover {
  background-color: #ddd;
}
</style>
